/* 
 * utils.c
 *
 * x-kernel v3.3
 *
 * Copyright (c) 1996,1993,1991,1990,1996  Arizona Board of Regents
 *
 * $Revision: 1.4 $
 * $Date: 1996/06/14 21:34:14 $
 * 
 * HISTORY
 * $Log: utils.c,v $
 * Revision 1.4  1996/06/14 21:34:14  slm
 * Merged in brakmo's changes.
 *
 * Revision 1.3  1996/02/01  15:23:16  slm
 * Updated copyright and version.
 *
 * Revision 1.2  1995/08/28  16:16:47  acb
 * Initial revision for x3.3
 *
 * Revision 1.1  1994/10/26  20:48:59  hkaram
 * Initial revision
 */

#include "x_stdio.h"
#include "x_libc.h"
#include "x_util.h"
#include "upi.h"

void
Kabort(char *s)
{
    fprintf(stderr, "xkernel abort: %s\n", s);
#ifdef X_PROFILE
    monitor(0);
    _exit(0);
#else
    /* xRapture(); */
    abort();
#endif
}
