/* 
 * x_stdio.h
 *
 * x-kernel v3.3
 *
 * Copyright (c) 1993,1991,1990,1996  Arizona Board of Regents
 *
 * $Revision: 1.2 $
 * $Date: 1996/01/29 20:06:01 $
 */

#ifndef x_stdio_h
#define x_stdio_h

#ifndef XKMACHKERNEL

#include <stdio.h>

# ifdef XK_NEEDS_SYSTEM_PROTOTYPES
#  ifdef __STDC__

int	fclose( FILE * );
int	fflush( FILE * );
int	fprintf( FILE *, char *, ... );
int	fscanf( FILE *, char *, ... );
int	printf( char *, ... );
int	sscanf( char *, char *, ... );
void	setbuf( FILE *, char * );
int	_flsbuf( unsigned char, FILE *);
int	_filbuf( FILE * );

#  else 

int	fclose();
int	fflush();
int	fprintf();
int	fscanf();
int	printf();
int	sscanf();
void	setbuf();

#  endif /* __STDC__ */
# endif /* XK_NEEDS_SYSTEM_PROTOTYPES */
#endif /* ! XKMACHKERNEL */

#endif /* ! x_stdio_h */
